Skip to main content
GET
/
v3
/
customerNumber
/
{customerNumber}
Get customer by customer number
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer/v3/customerNumber/{customerNumber}' \
  --header 'Authorization: Basic <encoded-value>'
{
  "bankruptcyDate": "2023-05-03",
  "customerNumber": "ABCDEFGH123456789",
  "customerRepresentative": "Mrs Smith",
  "id": 151077912,
  "locale": "af_ZA",
  "name": "Enfuce Financial Services Oy",
  "regNo": "19560606-1234",
  "registration": {
    "authority": "Patent and Registration Office",
    "registrationDate": "2023-05-03"
  },
  "role": "CORPORATE",
  "screening": {
    "status": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

{
  "bankruptcyDate": "2023-05-03",
  "customerNumber": "ABCDEFGH123456789",
  "customerRepresentative": "Mrs Smith",
  "id": 151077912,
  "locale": "af_ZA",
  "name": "Enfuce Financial Services Oy",
  "regNo": "19560606-1234",
  "registration": {
    "authority": "Patent and Registration Office",
    "registrationDate": "2023-05-03"
  },
  "role": "CORPORATE",
  "screening": {
    "status": true
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

customerNumber
string
required

The customer number of which customer you want fetch details on

Query Parameters

auditUser
string
required

The audit user to log the request

Response

Successful retrieval of customer details